Bug 1153643 - It is better show error message when click the commit button but without any version, component, release, milestone selected in the process_bug.cgi
Summary: It is better show error message when click the commit button but without any ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: UI-Modernization
TreeView+ depends on / blocked
 
Reported: 2014-10-16 12:28 UTC by Rony Gong 🔥
Modified: 2019-01-23 23:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 23:31:41 UTC


Attachments (Terms of Use)

Description Rony Gong 🔥 2014-10-16 12:28:39 UTC
Description of problem:
[Usability]It is better show error message when click the commit button but without any version, component, release, milestone selected in the process_bug.cgi

Version-Release number of selected component (if applicable):
4.4.6026

How reproducible:
Always

Steps to Reproduce:
1.Open a bug, select other product, then click button "save changes" quickly
2.In the process_bug.cgi, some fields are not selected, such as 'version','component'...
3.Click the button 'commit'

Actual results:
The page refreshed without any chagne except lost the group change info.

Expected results:
The page should show error message about which field isn't selected and need user select.

Additional info:

Comment 1 Jason McDonald 2014-10-17 04:16:15 UTC
(In reply to qgong@redhat.com from comment #0)
> 1.Open a bug, select other product, then click button "save changes" quickly

Do you mean that you clicked Save Changes before the compnent list had been populated?  If so, that presumably means that you selected Fedora or a RHEL version as the product.

Comment 2 Rony Gong 🔥 2014-10-20 02:01:09 UTC
(In reply to Jason McDonald from comment #1)
> (In reply to qgong@redhat.com from comment #0)
> > 1.Open a bug, select other product, then click button "save changes" quickly
> 
> Do you mean that you clicked Save Changes before the compnent list had been
> populated?  If so, that presumably means that you selected Fedora or a RHEL
> version as the product.

Yes, If we do action like this will cause some fields are not selected, such as 'version','component' in the In the process_bug.cgi page.

I just want to say The process_bug.cgi page should show error message about which field isn't selected when click the button "commit" with version or component not selected.

Comment 3 Jason McDonald 2014-10-20 09:07:50 UTC
It would probably be better to prevent the user submitting the form when required fields are empty.  We already do that in some cases, such as when the user chooses an external tracker but doesn't enter the tracker ID.

Comment 4 Jeff Fearn 🐞 2019-01-23 23:31:41 UTC
In preparation for entering maintenance mode we are closing bugs that are unlikely to be scheduled in maintenance sprints.


Note You need to log in before you can comment on or make changes to this bug.